import express from 'express'
import SourceControl from "../control/source-control.js";
import ShipFilterControl from "../control/ship-filter-control.js";
const shipTestRouter = express.Router()
shipTestRouter.post('/source/list', SourceControl.list)
shipTestRouter.post('/source/page', SourceControl.page)
shipTestRouter.get('/source/info/:id', SourceControl.info)
shipTestRouter.post('/source/add', SourceControl.add)
shipTestRouter.put('/source/edit', SourceControl.edit)
shipTestRouter.delete('/source/del/:ids', SourceControl.del)
shipTestRouter.get('/ship-filter/get-config', ShipFilterControl.getConfig)
export default shipTestRouter