import SourceService from "../service/source-service.js";
import ApiResult from "../config/api.js";
const ShipFilterControl = {
  getConfig: async (req, res) => {
    try {
      SourceService.list({orderByColumn: 'sort', isAsc: false}).then(data => {
        res.send(new ApiResult().success(data))
      }).catch((e) => {
        res.send(new ApiResult().error(null, e))
      })
    } catch (e) {
      res.send(new ApiResult().error(e))
    }
  },
}
export default ShipFilterControl